Computers
Set an organization’s managed computer quotas (admin)
Replaces any organization’s quota override, as PUT /orgs/{orgId}/computers/quotas does, for a deployment administrator who need not be a member. 403 for anyone else; 404 for an unknown organization.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Length
1 <= length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/admin/orgs/string/computers/quotas" \ -H "Content-Type: application/json" \ -d '{ "override": {} }'{ "defaults": { "runningDesktops": 0, "desktops": 0, "storageGib": 0, "monthlyDesktopHours": 0, "modes": { "ephemeral": { "runningDesktops": 0, "desktops": 0 }, "per-agent": { "runningDesktops": 0, "desktops": 0 }, "manual": { "runningDesktops": 0, "desktops": 0 } }, "viewers": 0, "viewersPerComputer": 0, "monthlyViewerGib": 0, "screenshotStorageGib": 0, "screenshotRetentionDays": 0 }, "override": { "runningDesktops": 0, "desktops": 0, "storageGib": 0, "monthlyDesktopHours": 0, "modes": { "ephemeral": { "runningDesktops": 0, "desktops": 0 }, "per-agent": { "runningDesktops": 0, "desktops": 0 }, "manual": { "runningDesktops": 0, "desktops": 0 } }, "viewers": 0, "viewersPerComputer": 0, "monthlyViewerGib": 0, "screenshotStorageGib": 0, "screenshotRetentionDays": 0 }, "limits": { "runningDesktops": 0, "desktops": 0, "storageGib": 0, "monthlyDesktopHours": 0, "modes": { "ephemeral": { "runningDesktops": 0, "desktops": 0 }, "per-agent": { "runningDesktops": 0, "desktops": 0 }, "manual": { "runningDesktops": 0, "desktops": 0 } }, "viewers": 0, "viewersPerComputer": 0, "monthlyViewerGib": 0, "screenshotStorageGib": 0, "screenshotRetentionDays": 0 }, "used": { "runningDesktops": -9007199254740991, "desktops": -9007199254740991, "storageGib": 0, "monthlyDesktopHours": 0, "modes": { "property1": { "runningDesktops": -9007199254740991, "desktops": -9007199254740991 }, "property2": { "runningDesktops": -9007199254740991, "desktops": -9007199254740991 } }, "viewers": -9007199254740991, "monthlyViewerGib": 0, "screenshotStorageGib": 0 }, "volumeGib": 0, "canEdit": true}